Ticket #2090 (new defect)

Opened 8 years ago

Last modified 8 years ago

GPS driver gllin distributed in .ipk format but opkg wants newer .opk format

Reported by: jrush Owned by: openmoko-devel
Priority: normal Milestone:
Component: unknown Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking: Estimated Completion (week):
HasPatchForReview: no PatchReviewResult:
Reproducible:

Description

The GPS driver for the GTA-01 hardware is distributed using a .ipk file format but the FSO distribution is using the new opkg command, making it impossible to install the package obtained from the website:

http://3rdparty.downloads.openmoko.org/gllin/download/

# opkg install gllin_1.1+r931-r0_om-gta01.ipk
opkg: invalid magic

Change History

comment:1 Changed 8 years ago by zecke

This or that you have downloaded a HTML page because you did not accept the click through contract? I'm 98,2345% confident that you have a html page ;)

$ md5sum gllin_1.1+r931-r0_om-gta01.ipk
b90718ca60708659b39b9788b4dbdd7e gllin_1.1+r931-r0_om-gta01.ipk

$ head -1 gllin_1.1+r931-r0_om-gta01.ipk
!<arch>

Note: See TracTickets for help on using tickets.